;--------------------------------------------------------
function qsat, T,P
;
; Air humidity at saturation (g/kg)
; T: SST (degC)
; P : surface pressure (mb)
;--------------------------------------------------------
x=T
es=6.112*exp(17.502*x/(x+241.))*(1.0007+3.46e-6*p)
y=es*622/(p-.378*es)

return, y

end
;--------------------------------------------------------

